package tutorial.jsf.ajax.component;

import org.apache.myfaces.shared_impl.taglib.UIComponentTagBase;

import org.apache.commons.logging.*;

/**
 * <b>Title:</b> AjaxComponentTag<br>
 * @author Matt Tyson
 * <p>
 * Tag Handler for AjaxComponent
 */

public class AjaxComponentTag extends UIComponentTagBase {
	private static final transient Log log = LogFactory.getLog(tutorial.jsf.ajax.component.AjaxComponentTag.class);
	
	/**default empty constructor*/
	public AjaxComponentTag() {
	}

	@Override
	public String getComponentType() {
		return AjaxComponent.COMPONENT_TYPE;
	}

	@Override
	public String getRendererType() {
		return AjaxComponent.DEFAULT_RENDERER_TYPE;
	}
}
